> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voiceflow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run transcript evaluation

> Run a single evaluation for the specified transcript.



## OpenAPI

````yaml /specs/analytics/openapi.public.json post /v1/transcript-evaluation/{evaluationID}/transcript/{transcriptID}
openapi: 3.0.0
info:
  title: Analytics
  description: Voiceflow analytics service
  version: 1.0.0
  contact: {}
servers:
  - url: https://analytics-api.voiceflow.com
security: []
paths:
  /v1/transcript-evaluation/{evaluationID}/transcript/{transcriptID}:
    post:
      tags:
        - Transcript evaluation
        - Public-Docs
      summary: Run transcript evaluation
      description: Run a single evaluation for the specified transcript.
      operationId: TranscriptEvaluationPublicController_runEvaluation_v1
      parameters:
        - name: evaluationID
          required: true
          in: path
          description: ID of the transcript evaluation to target.
          schema:
            description: ID of the transcript evaluation to target.
            type: string
        - name: transcriptID
          required: true
          in: path
          description: ID of the transcript to target.
          schema:
            description: ID of the transcript to target.
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                projectID:
                  type: string
              required:
                - projectID
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      transcriptID:
                        type: string
                      evaluationID:
                        type: string
                      value:
                        oneOf:
                          - type: number
                          - type: string
                          - type: boolean
                      reason:
                        type: string
                      cost:
                        type: number
                    required:
                      - transcriptID
                      - evaluationID
                      - value
                      - reason
                      - cost
                required:
                  - result
      security:
        - auth: []
components:
  securitySchemes:
    auth:
      type: apiKey
      in: header
      name: authorization
      description: Voiceflow API key

````